Page MenuHomePhabricator

[libc++] Re-apply the switch-based std::variant implementation
ClosedPublic

Authored by ldionne on Oct 26 2020, 9:37 AM.

Details

Summary

This commit is a mass re-application of the following commits:

7d15ece79c16dc3237fc514ff56a69e3d58fbd39
e0ec7a02064968c7df11713689107148b4efb993
02197f7e50b938f8167b17b89bdf7c55feff4339
a175a96517c5d9dc05ba13a6481b1b031a53a22f

Those were temporarily reverted in 057028ed391f8, and never re-applied.
The original patches are from Michael Park.

Diff Detail

Event Timeline

ldionne created this revision.Oct 26 2020, 9:37 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 26 2020, 9:37 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne requested review of this revision.Oct 26 2020, 9:37 AM
ldionne updated this revision to Diff 300711.Oct 26 2020, 9:59 AM

Rebase onto master to trigger CI again

ldionne updated this revision to Diff 300843.Oct 26 2020, 5:51 PM

Rebase onto master to re-trigger tests

ldionne updated this revision to Diff 301002.Oct 27 2020, 8:23 AM

Rebase onto master again to re trigger tests. One day we'll get it.

mpark accepted this revision.Oct 27 2020, 3:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 28 2020, 2:09 PM
This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.